Uninstall the Entity Store

Base URL
https://{kibana_url}
  • POST /api/security/entity_store/uninstall
Auth

Uninstall the Entity Store, removing engines and associated resources for the specified entity types.

Required authorization

Privileges securitySolution

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

entityTypes enum[] · default: [ "user", "host", "service", "generic" ]

Entity types to uninstall. Defaults to all installed types.

Values: user host service generic

Response

200

Indicates a successful response.

application/json
Base URL
https://{kibana_url}